<%@ page language="java"%> 

<%@ page import="java.util.*,javax.sql.*,java.sql.*,javax.naming.*,java.text.*,m05bClasses.*" %>
<%
	// _______________________________XLNETs______________________________________
	// Evaluar variable de session que indica si esta conectado a XLNets
	if ((session.getAttribute("objetoSeguridad")) == null)  { 
		// Verificar que no ha transcurrido el tiempo de sesion (web.xml) %>
			<%@ include file="/m05bControlAcceso.inc"%> <%
	} 
%>	
	<%@ include file="/m05bIdioma.inc"%>

<HTML>
<META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=UTF-8">
<HEAD>
	<title><%= resTit.getString("titLstTarjCaducidad")%></title>
	<link rel="stylesheet" href="<%=m05bConstantesPaginas.PATH_ESTILOS%>/m05bestilos.css" type="text/css">
<SCRIPT language=JavaScript>
		function fncRetornar(situacion,fecha) {
				 document.formSolicitud.action="/m05bParqueMovilWar/m05bTarjetasCaducidadJsp.jsp?SituacionTexto="+situacion+"&FAntes="+fecha;
				 document.formSolicitud.submit();
		}
</SCRIPT>
</HEAD>	
<!-- Hojas de Estilo -->
<%	String sCaducidadTarjetas = m05bFicheroProperties.getInstance().getParameter("PDF.CaducidadTarjetas"); %>

<BODY style="cursor: wait"  onload="document.body.style.cursor='default';document.all['general'].style.visibility='visible';document.all['general'].style.cursor='default';" onunload="document.body.style.cursor='wait';document.all['general'].style.cursor='wait';">
<div  id="general" style="POSITION: absolute;visibility:hidden;cursor: wait">	
<form NAME="formSolicitud" METHOD="POST">
<%
    m05bFileLog miLog = new m05bFileLog();
	String persona = (String) session.getAttribute("persona");
	
	String situacion = request.getParameter("SituacionTexto");
	String fecha = request.getParameter("FAntes");
    String sOrder1=request.getParameter("Orden1");
   	if (sOrder1==null || sOrder1.equals("NULL")){
            	       sOrder1="ASC";}
    String sOrder2=request.getParameter("Orden2");
   	if (sOrder2==null || sOrder2.equals("NULL")){
      	       sOrder2="ASC";}
    String sOrder1bis=request.getParameter("Orden1bis");
   	if (sOrder1bis==null || sOrder1bis.equals("NULL")){
            	       sOrder1bis="1";}
         String sOrder2bis=request.getParameter("Orden2bis");
   	if (sOrder2bis==null || sOrder2bis.equals("NULL")){
            	       sOrder2bis="2";}	                	
    miLog.addTraza(persona , "Veh CaducidadPDFTarjetas" , "situacion: " + situacion, m05bConstantes.LOG_NIVEL_BAJO);
    miLog.addTraza(m05bConstantes.LOG_NO_USER , "Veh CaducidadPDFTarjetas", "situacion: " + situacion, m05bConstantes.LOG_NIVEL_BAJO);
	
	String srcPDF = sCaducidadTarjetas + "?SituacionTexto="+situacion+ "&FAntes="+fecha+"&Orden1=" + sOrder1+"&Orden2=" + sOrder2+"&Orden1bis=" + sOrder1bis+"&Orden2bis=" + sOrder2bis;
	m05bComun comun=new m05bComun();
    miLog.addTraza(persona , "Veh TarjetasCaducidad" , "SituacionTexto: " + situacion, m05bConstantes.LOG_NIVEL_BAJO);
    miLog.addTraza(m05bConstantes.LOG_NO_USER , "Veh TarjetasCaducidad", "FAntes: " + fecha, m05bConstantes.LOG_NIVEL_BAJO);
	
	StringBuffer sqlExiste = new StringBuffer();
    sqlExiste.append(" SELECT 1"); 
    sqlExiste.append(" FROM "); 
    sqlExiste.append(m05bConstantes.TAB_TARJETAS).append(","); 
    sqlExiste.append(m05bConstantes.TAB_VEHICULOS).append(","); 
    sqlExiste.append(m05bConstantes.TAB_BANCOS).append(" WHERE ");  
    sqlExiste.append(m05bConstantes.COL_31_CUENTA).append(" = ").append(m05bConstantes.COL_03_NCUENTA).append(" AND ");  
    sqlExiste.append(m05bConstantes.COL_31_MATRICULA).append(" = ").append(m05bConstantes.COL_34_MATRICULA).append(" AND ");    
    sqlExiste.append(m05bConstantes.COL_31_CUENTA).append(" = ").append(m05bConstantes.COL_03_NCUENTA).append(" AND ");  
    sqlExiste.append(m05bConstantes.COL_31_MATRICULA).append(" = ").append(m05bConstantes.COL_34_MATRICULA).append(" AND ");
    sqlExiste.append(m05bConstantes.COL_31_SITUACION).append(" = '").append(m05bConstantes.TAR_ALTA).append("' ");
	if (!(situacion.equals(""))){
        String SituacionLista=comun.ListaCaracteres(situacion);
        sqlExiste.append(" AND ").append(m05bConstantes.COL_34_SITUACION).append(" in ( ").append(SituacionLista).append(" ) ") ;
    }
    if (!(fecha.equals(""))){
       
        sqlExiste.append(" AND ").append(m05bConstantes.COL_31_FCADUC).append(" <= to_date('").append(fecha).append("','"+formatoFecha+"') ") ;
    	      } 
    miLog.addTraza(persona , "Veh TarjetasCaducidad" , "sql: " + sqlExiste, m05bConstantes.LOG_NIVEL_BAJO);
    miLog.addTraza(m05bConstantes.LOG_NO_USER , "Veh TarjetasCaducidad", "sql: " + sqlExiste, m05bConstantes.LOG_NIVEL_BAJO);

	java.sql.Connection conn=null;
	PreparedStatement pstmt = null;
	ResultSet rs = null;
      try
      {  //HttpSession session = request.getSession(true);
			m05bConexion miConex = new m05bConexion();
			conn = miConex.getConnection();
           pstmt = conn.prepareStatement(sqlExiste.toString());
           rs = pstmt.executeQuery();
		
%>
	
<TABLE class="general">
  <tr>
       <td width="90%" align="right">
      	  <input type="button" class="boton" name="<%= res.getString("etBOT_RETORNAR")%>" value="<%= res.getString("etBOT_RETORNAR")%>" ONCLICK="JavaScript:fncRetornar('<%=situacion%>','<%=fecha%>');" onMouseOver="top.status='<%= res.getString("etBOT_STATUSRETORNAR")%>'; return false" onMouseOut="top.status=''; return false" />
       </td>
  </tr>
  <tr>
    <td colspan="2">
    <% if (rs.next() == true){ %>
      
		<embed name='pdfCaducidadTarjetas' src='<%=srcPDF%>' type="application/pdf" width='736' height='500'></embed>
    <%} else {%>
		<embed name='pdfCaducidadTarjetas' src='/parquemovil/SinDatos.pdf' type="application/pdf" width='736' height='500'></embed>
    <%}%>
	<%	} catch (Exception SQLException) {
			miLog.addTraza(SQLException);
		} 	finally{
				if (rs != null)
					rs.close();			
				if (pstmt != null)
					pstmt.close();
				if (conn != null)
					conn.close();}%>
  	</td>
  </tr>
</TABLE>
</form>
<script type="text/javascript" src="<%=m05bConstantesPaginas.PATH_SCRIPTS%>/m05bMsControl.js"></script>
 
</div>		
</body>
</html>
